org.apache.commons.math3.exception

## Class MaxCountExceededException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.apache.commons.math3.exception.MathIllegalStateException
          - - org.apache.commons.math3.exception.MaxCountExceededException

- All Implemented Interfaces:
    Serializable, ExceptionContextProvider
  Direct Known Subclasses:
    TooManyEvaluationsException

      public class MaxCountExceededException
      extends MathIllegalStateException

  Exception to be thrown when some counter maximum value is exceeded.
  Since:
    3.0
  Version:
    $Id$
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MaxCountExceededException(Localizable specific, Number max, Object... args)` Construct the exception with a specific context.
    `MaxCountExceededException(Number max)` Construct the exception.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Number` | `getMax()`

    - ### Methods inherited from class org.apache.commons.math3.exception.MathIllegalStateException

      `getContext, getLocalizedMessage, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MaxCountExceededException

          public MaxCountExceededException(Number max)

      Construct the exception.
      Parameters:
        `max` - Maximum.

    - #### MaxCountExceededException

          public MaxCountExceededException(Localizable specific,
                                   Number max,
                                   Object... args)

      Construct the exception with a specific context.
      Parameters:
        `specific` - Specific context pattern.
        `max` - Maximum.
        `args` - Additional arguments.

  - ### Method Detail

    - #### getMax

          public Number getMax()

      Returns:
        the maximum number of evaluations.

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.